Skip to main content
POST
/
v2
/
webhooks
Example subscription
curl --request POST \
  --url https://api-sandbox.argyle.com/v2/webhooks \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    "paystubs.added"
  ],
  "name": "name-for-the-webhook-subscription",
  "url": "https://your-webhook-backend.com",
  "secret": "optional-secret"
}
'
{
  "name": "<string>",
  "data": {
    "account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "available_from": "2023-11-07T05:31:56Z",
    "available_to": "2023-11-07T05:31:56Z",
    "available_count": 123,
    "added_count": 123,
    "added_from": "2023-11-07T05:31:56Z",
    "added_to": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.argyle.com/llms.txt

Use this file to discover all available pages before exploring further.

Sent when paystubs are added or updated. If you need to access to paystubs as soon as they are available:
  • The paystubs.partially_synced webhook is sent when paystubs going back a specified number of days prior (starting from the date when the account was added) have been retrieved during initial data retrieval for a newly connected account.
  • The paystubs.fully_synced webhook is sent when all paystubs have been retrieved during initial data retrieval for a newly connected account.

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Body

application/json

Request body for subscribing to the paystubs.added webhook.

events
enum<string>[]
required

List of events to subscribe to. Must include paystubs.added. Value is paystubs.added

Available options:
paystubs.added
name
string
required

Your name for the webhook subscription. Name used for the webhook subscription.

url
string
required

Where you want to receive webhook delivery. This can be either a backend URL that you manage, or a URL provided by a webhook management service. Argyle handles URL encoding for webhook URLs. Send the URL in its normal, unencoded form. URL where you want to receive webhook delivery.

secret
string | null

Optional secret used to verify webhooks. Secret used to verify webhooks.

Response

Successful subscription

event
enum<string>

The type of event being triggered.

Available options:
paystubs.added
name
string

The name of the webhook subscription.

data
object